cURL
curl --request POST \
--url https://app-api.aide.app/v1/integrations/{slug}/authorizations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subdomain": "<string>",
"account": "<string>",
"platformName": "<string>",
"domain": "<string>",
"shop": "<string>",
"storeUrl": "<string>"
}
'import requests
url = "https://app-api.aide.app/v1/integrations/{slug}/authorizations"
payload = {
"subdomain": "<string>",
"account": "<string>",
"platformName": "<string>",
"domain": "<string>",
"shop": "<string>",
"storeUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subdomain: '<string>',
account: '<string>',
platformName: '<string>',
domain: '<string>',
shop: '<string>',
storeUrl: '<string>'
})
};
fetch('https://app-api.aide.app/v1/integrations/{slug}/authorizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/integrations/{slug}/authorizations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'subdomain' => '<string>',
'account' => '<string>',
'platformName' => '<string>',
'domain' => '<string>',
'shop' => '<string>',
'storeUrl' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/integrations/{slug}/authorizations"
payload := strings.NewReader("{\n \"subdomain\": \"<string>\",\n \"account\": \"<string>\",\n \"platformName\": \"<string>\",\n \"domain\": \"<string>\",\n \"shop\": \"<string>\",\n \"storeUrl\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app-api.aide.app/v1/integrations/{slug}/authorizations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"subdomain\": \"<string>\",\n \"account\": \"<string>\",\n \"platformName\": \"<string>\",\n \"domain\": \"<string>\",\n \"shop\": \"<string>\",\n \"storeUrl\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/integrations/{slug}/authorizations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"subdomain\": \"<string>\",\n \"account\": \"<string>\",\n \"platformName\": \"<string>\",\n \"domain\": \"<string>\",\n \"shop\": \"<string>\",\n \"storeUrl\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"url": "<string>",
"metaAppId": "<string>",
"metaConfigId": "<string>"
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Integration
Post v1integrations authorizations
POST
/
v1
/
integrations
/
{slug}
/
authorizations
cURL
curl --request POST \
--url https://app-api.aide.app/v1/integrations/{slug}/authorizations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subdomain": "<string>",
"account": "<string>",
"platformName": "<string>",
"domain": "<string>",
"shop": "<string>",
"storeUrl": "<string>"
}
'import requests
url = "https://app-api.aide.app/v1/integrations/{slug}/authorizations"
payload = {
"subdomain": "<string>",
"account": "<string>",
"platformName": "<string>",
"domain": "<string>",
"shop": "<string>",
"storeUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subdomain: '<string>',
account: '<string>',
platformName: '<string>',
domain: '<string>',
shop: '<string>',
storeUrl: '<string>'
})
};
fetch('https://app-api.aide.app/v1/integrations/{slug}/authorizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/integrations/{slug}/authorizations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'subdomain' => '<string>',
'account' => '<string>',
'platformName' => '<string>',
'domain' => '<string>',
'shop' => '<string>',
'storeUrl' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/integrations/{slug}/authorizations"
payload := strings.NewReader("{\n \"subdomain\": \"<string>\",\n \"account\": \"<string>\",\n \"platformName\": \"<string>\",\n \"domain\": \"<string>\",\n \"shop\": \"<string>\",\n \"storeUrl\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app-api.aide.app/v1/integrations/{slug}/authorizations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"subdomain\": \"<string>\",\n \"account\": \"<string>\",\n \"platformName\": \"<string>\",\n \"domain\": \"<string>\",\n \"shop\": \"<string>\",\n \"storeUrl\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/integrations/{slug}/authorizations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"subdomain\": \"<string>\",\n \"account\": \"<string>\",\n \"platformName\": \"<string>\",\n \"domain\": \"<string>\",\n \"shop\": \"<string>\",\n \"storeUrl\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"url": "<string>",
"metaAppId": "<string>",
"metaConfigId": "<string>"
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Authorizations
An access token, bound to one account.
Path Parameters
Body
application/json
Maximum string length:
63Pattern:
^[a-z0-9][a-z0-9-]*$Maximum string length:
63Pattern:
^[a-z0-9][a-z0-9-]*$Maximum string length:
63Pattern:
^[a-z0-9][a-z0-9-]*$Maximum string length:
255Pattern:
^[a-z0-9][a-z0-9-]*(\.[a-z0-9-]+)*$Maximum string length:
255Pattern:
^[a-z0-9][a-z0-9-]*\.myshopify\.com$Maximum string length:
2048Response
OK
Show child attributes
Show child attributes